Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZCodePageCodec Member List

This is the complete list of members for eZCodePageCodec, including all inherited members.

$CodePage | eZCodePageCodec |
$Codepage | eZTextCodec |
$CodepageMapper | eZTextCodec |
$ConversionFunction | eZTextCodec |
$InputCharacterEncodingScheme | eZTextCodec |
$InputCharsetCode | eZTextCodec |
$OutputCharacterEncodingScheme | eZTextCodec |
$OutputCharsetCode | eZTextCodec |
$RequestedInputCharsetCode | eZTextCodec |
$RequestedOutputCharsetCode | eZTextCodec |
$RequireConversion | eZTextCodec |
$StrlenFunction | eZTextCodec |
__construct( $name) | eZCodePageCodec |
eZTextCodec::__construct( $inputCharsetCode, $outputCharsetCode, $realInputCharsetCode, $realOutputCharsetCode, $inputEncoding, $outputEncoding) | eZTextCodec |
codePage() | eZCodePageCodec |
conversionRequired() | eZTextCodec |
conversionRequired() | eZTextCodec |
convertCodepage( $str) | eZTextCodec |
convertCodepage( $str) | eZTextCodec |
convertCodepageMapper( $str) | eZTextCodec |
convertCodepageMapper( $str) | eZTextCodec |
convertCodepageRev( $str) | eZTextCodec |
convertCodepageRev( $str) | eZTextCodec |
convertCodepageToUnicode( $str) | eZTextCodec |
convertCodepageToUnicode( $str) | eZTextCodec |
convertMBString( $str) | eZTextCodec |
convertMBString( $str) | eZTextCodec |
convertNone( $str) | eZTextCodec |
convertNone( $str) | eZTextCodec |
convertNoneToUnicode( $str) | eZTextCodec |
convertNoneToUnicode( $str) | eZTextCodec |
convertString( $str) | eZTextCodec |
convertString( $str) | eZTextCodec |
convertUnicodeToCodepage( $unicodeValues) | eZTextCodec |
convertUnicodeToCodepage( $unicodeValues) | eZTextCodec |
convertUnicodeToUTF8( $unicodeValues) | eZTextCodec |
convertUnicodeToUTF8( $unicodeValues) | eZTextCodec |
convertUTF8ToUnicode( $str) | eZTextCodec |
convertUTF8ToUnicode( $str) | eZTextCodec |
fromUnicode( $str) | eZCodePageCodec |
httpCharset() | eZTextCodec | static
httpCharset() | eZTextCodec | static
initializeCodepageMapper() | eZTextCodec |
initializeCodepageMapper() | eZTextCodec |
initializeConversionFunction( $encodingConvertInitMap, $encodingConvertInitFunction) | eZTextCodec |
initializeConversionFunction( $encodingConvertInitMap, $encodingConvertInitFunction) | eZTextCodec |
initializeInputCodepage() | eZTextCodec |
initializeInputCodepage() | eZTextCodec |
initializeOutputCodepage() | eZTextCodec |
initializeOutputCodepage() | eZTextCodec |
inputCharsetCode() | eZTextCodec |
inputCharsetCode() | eZTextCodec |
instance( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true) | eZTextCodec | static
instance( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true) | eZTextCodec | static
internalCharset() | eZTextCodec | static
internalCharset() | eZTextCodec | static
isValid() | eZCodePageCodec |
outputCharsetCode() | eZTextCodec |
outputCharsetCode() | eZTextCodec |
requestedInputCharsetCode() | eZTextCodec |
requestedInputCharsetCode() | eZTextCodec |
requestedOutputCharsetCode() | eZTextCodec |
requestedOutputCharsetCode() | eZTextCodec |
setCodePage( $cp) | eZCodePageCodec |
setUseMBString( $use) | eZTextCodec |
setUseMBString( $use) | eZTextCodec |
strlen( $str) | eZTextCodec |
strlen( $str) | eZTextCodec |
strlenCodepage( $str) | eZTextCodec |
strlenCodepage( $str) | eZTextCodec |
strlenCodepageMapper( $str) | eZTextCodec |
strlenCodepageMapper( $str) | eZTextCodec |
strlenCodepageRev( $str) | eZTextCodec |
strlenCodepageRev( $str) | eZTextCodec |
strlenMBString( $str) | eZTextCodec |
strlenMBString( $str) | eZTextCodec |
strlenNone( $str) | eZTextCodec |
strlenNone( $str) | eZTextCodec |
strlenUnicode( $unicodeValues) | eZTextCodec |
strlenUnicode( $unicodeValues) | eZTextCodec |
strlenUTF8( $str) | eZTextCodec |
strlenUTF8( $str) | eZTextCodec |
toUnicode( $str) | eZCodePageCodec |
updateSettings( $settings) | eZTextCodec | static
updateSettings( $settings) | eZTextCodec | static
useMBString() | eZTextCodec |
useMBString() | eZTextCodec |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.